git-mode stable port information

Package: git-mode
Version: 1.7.4.4
Revision: 1
Maintainer: None
Depends: emacsen, git
BuildDepends: fink (>= 0.24.12)
Source: http://www.kernel.org/pub/software/scm/git/git-%v.tar.bz2
Source-MD5: 1313f71d62fa100b32fa313769a85f2a
SourceDirectory: git-%v
PatchFile: %n.patch
PatchFile-MD5: 8454b37126615abec158cd67f9eab8ea
PatchScript: sed 's|@PREFIX@|%p|g' < %{PatchFile} | patch -p1
CompileScript: true
InstallScript: <<
install -d %i/share/emacs/site-lisp/git-mode
install -m 644 contrib/emacs/*.el %i/share/emacs/site-lisp/git-mode
install -d %i/etc/emacs/site-start.d
install -m 644 contrib/emacs/fink/50git-mode-vars.el %i/etc/emacs/site-start.d
install -d %i/lib/emacsen-common/packages/install
install -d %i/lib/emacsen-common/packages/remove
install -m 755 contrib/emacs/fink/install %i/lib/emacsen-common/packages/install/git-mode
install -m 755 contrib/emacs/fink/remove %i/lib/emacsen-common/packages/remove/git-mode
<<
PostInstScript: %p/lib/emacsen-common/emacs-package-install %n
PreRmScript: %p/lib/emacsen-common/emacs-package-remove %n
Description: Emacs mode for Git
DescDetail: <<
This package provides:

- an Emacs interface for the git version control system. It allows for
easy access to the most frequently used git commands. The user
interface is as far as possible identical to that of the PCL-CVS
mode.

- an Emacs implementation of incremental git-blame. When you turn it
on while viewing a file, the editor buffer will be updated by
setting the background of individual lines to a color that reflects
which commit it comes from. And when you move around the buffer, a
one-line summary will be shown in the echo area.

This package used to contain the VC-mode backend for git, but it is no
longer part of it. It is now maintained as part of Emacs and included
in standard Emacs distributions starting from version 22.2.
<<
DescUsage: <<
Start the git mode with `M-x git-status', and the git-blame mode with
'M-x git-blame-mode'.
<<
Homepage:
License: GPL

git-mode stable port .patch

diff -ruN git-1.7.4.4/contrib/emacs/fink/50git-mode-vars.el git-1.7.4.4-patched/contrib/emacs/fink/50git-mode-vars.el
--- git-1.7.4.4/contrib/emacs/fink/50git-mode-vars.el 1970-01-01 01:00:00.000000000 +0100
+++ git-1.7.4.4-patched/contrib/emacs/fink/50git-mode-vars.el 2011-04-26 14:47:45.000000000 +0200
@@ -0,0 +1,3 @@
+(require 'git)
+(require 'git-blame)
+(add-to-list 'vc-handled-backends 'GIT)
diff -ruN git-1.7.4.4/contrib/emacs/fink/install git-1.7.4.4-patched/contrib/emacs/fink/install
--- git-1.7.4.4/contrib/emacs/fink/install 1970-01-01 01:00:00.000000000 +0100
+++ git-1.7.4.4-patched/contrib/emacs/fink/install 2011-04-26 14:48:02.000000000 +0200
@@ -0,0 +1,26 @@
+#!/bin/sh
+set -e
+FLAVOR=$1
+echo install/git-mode: Handling install of emacsen flavor ${FLAVOR}
+byte_compile_options="-batch -f batch-byte-compile"
+el_files="git.el git-blame.el"
+el_dir=@PREFIX@/share/emacs/site-lisp/git-mode/
+elc_dir=@PREFIX@/share/${FLAVOR}/site-lisp/git-mode/
+el_var_file="50git-mode-vars.el"
+el_var_dir=@PREFIX@/etc/emacs/site-start.d/
+elc_var_dir=@PREFIX@/etc/${FLAVOR}/site-start.d/
+if [ ${FLAVOR} != emacs ]
+then
+ echo install/git-mode: Byte-compiling for ${FLAVOR}
+ [ -d ${elc_dir} ] || mkdir ${elc_dir}
+ # Copy the temp .el files
+ (cd ${el_dir} && cp ${el_files} ${elc_dir})
+ (cd ${el_var_dir} && cp ${el_var_file} ${elc_var_dir})
+ # Byte compile them
+ (cd ${elc_dir} && ${FLAVOR} ${byte_compile_options} ${el_files} 2> /dev/null)
+ (cd ${elc_var_dir} && ${FLAVOR} ${byte_compile_options} ${el_var_file} 2> /dev/null)
+ # Remove the redundant .el files. Presumes that any .el files in
+ # the dir are trash.
+ rm ${elc_dir}/*.el ${elc_var_dir}/*.el
+fi
+exit 0;
diff -ruN git-1.7.4.4/contrib/emacs/fink/remove git-1.7.4.4-patched/contrib/emacs/fink/remove
--- git-1.7.4.4/contrib/emacs/fink/remove 1970-01-01 01:00:00.000000000 +0100
+++ git-1.7.4.4-patched/contrib/emacs/fink/remove 2011-04-26 14:48:15.000000000 +0200
@@ -0,0 +1,15 @@
+#!/bin/sh
+set -e
+FLAVOR=$1
+el_dir=@PREFIX@/share/emacs/site-lisp/git-mode/
+elc_dir=@PREFIX@/share/${FLAVOR}/site-lisp/git-mode/
+elc_var_file="50git-mode-vars.elc"
+elc_var_dir=@PREFIX@/etc/${FLAVOR}/site-start.d/
+echo remove/git-mode: Handling removal of emacsen flavor ${FLAVOR}
+if [ ${FLAVOR} != emacs ]
+then
+ echo remove/git-mode: Purging byte-compiled files for ${FLAVOR}
+ rm -f ${elc_dir}/*.elc ${elc_var_dir}/${elc_var_file}
+ [ -d ${elc_dir} -a `ls -la ${elc_dir}|wc -l` -le 3 ] && rmdir ${elc_dir}
+fi
+exit 0;

git-mode _unstable_ port .patch